changeset 5571:d0c8cfb493f5

Add flush_cache helper script to document the functionality how a cache can be invalidated
author Andre Heinecke <aheinecke@intevation.de>
date Thu, 04 Apr 2013 18:41:36 +0200
parents 91a2ddffea47
children a264244b3d63
files flys-artifacts/contrib/flush_cache.sh
diffstat 1 files changed, 15 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/flys-artifacts/contrib/flush_cache.sh	Thu Apr 04 18:41:36 2013 +0200
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ $# != 2 ]; then
+    echo "usage $0 <artifact-server-port> <cachename>"
+    echo "    cachename is the name of the cache defined in conf/caches.xml"
+    echo "    for example: $0 12123 datacage.db"
+    exit 1
+fi
+
+curl -d @- http://localhost:$1/service/cache-invalidation << EOF 
+<?xml version="1.0" ?>
+<caches>
+  <cache name="$2"/>
+</caches>
+EOF

http://dive4elements.wald.intevation.org